com.intellectualcrafters.plot.flag

## Class Flag

- java.lang.Object
- - com.intellectualcrafters.plot.flag.Flag

-     public class Flag
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Flag(AbstractFlag key, java.lang.String value)` Flag object used to store basic information for a Plot.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `AbstractFlag` | `getAbstractFlag()` Get the AbstractFlag used in creating the flag
    `java.lang.String` | `getKey()` Get the key for the AbstractFlag
    `java.lang.String` | `getValue()` Get the value
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Flag

          public Flag(AbstractFlag key,
              java.lang.String value)

      Flag object used to store basic information for a Plot. Flags are a key/value pair. For a flag to be usable by a player, you need to register it with PlotSquared.
      Parameters:
        `key` - AbstractFlag
        `value` - Value must be alphanumerical (can have spaces) and be <= 48 characters
      Throws:
        `java.lang.IllegalArgumentException` - if you provide inadequate inputs

  - ### Method Detail

    - #### getAbstractFlag

          public AbstractFlag getAbstractFlag()

      Get the AbstractFlag used in creating the flag
      Returns:
        AbstractFlag

    - #### getKey

          public java.lang.String getKey()

      Get the key for the AbstractFlag
      Returns:
        String

    - #### getValue

          public java.lang.String getValue()

      Get the value
      Returns:
        String

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`